%define __python /usr/bin/python2.7
%global pybindir /usr/lib/python2.7/bin

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif


Name:           python27-cvxopt
Version:        1.1.7
Release:        1%{?dist}.1
Summary:        Python software for convex optimization

Group:          Development/Libraries
License:        GPLv3
URL:            http://cvxopt.org/
#Source0:        https://github.com/cvxopt/cvxopt/archive/%{version}.tar.gz
Source0:        cvxopt-%{version}.tar.gz
Patch1:		useatlas.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python27-devel
BuildRequires:  python27-setuptools
BuildRequires:	environment-modules
BuildRequires:  atlas-devel gsl-devel glpk-devel fftw-devel
Requires:	atlas gsl glpk fftw

%description
CVXOPT is a free software package for convex optimization based on the Python
programming language. It can be used with the interactive Python interpreter,
on the command line by executing Python scripts, or integrated in other
software via Python extension modules. Its main purpose is to make the
development of software for convex optimization applications straightforward
by building on Python's extensive standard library and on the strengths of 
Python as a high-level programming language.

%prep
%setup -q -n cvxopt-%{version}
%patch1 -p1 -b .useatlas
%if "%{_libdir}" != "/usr/lib"
perl -pi -e s,/usr/lib,%{_libdir}, setup.py
%endif

%build
. /etc/profile.d/modules.sh
module load python/2.7
%{__python} setup.py build

%install
rm -rf %{buildroot}
. /etc/profile.d/modules.sh
module load python/2.7
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.md INSTALL doc/html examples
%{python_sitearch}/cvxopt
%{python_sitearch}/cvxopt-%{version}-py?.?.egg-info


%changelog
* Tue Jun 16 2014 Josko Plazonic <plazonic@princeton.edu>
- initial packaging
